com.ibm.openpages.api.configuration

## Enum Permissions

- java.lang.Object
- - java.lang.Enum<Permissions>
  - - com.ibm.openpages.api.configuration.Permissions

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Permissions>

      public enum Permissions
      extends java.lang.Enum<Permissions>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASSOCIATE` Associate Access
    `CREATE` Create Access
    `DELETE` Delete Access
    `FOLDERBASEDSECURITY` FBS_Access
    `MANAGE` Manage Access
    `READ` Read Access
    `WRITE` Write Access

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Permissions` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Permissions[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FOLDERBASEDSECURITY

          public static final Permissions FOLDERBASEDSECURITY

      FBS_Access

    - #### READ

          public static final Permissions READ

      Read Access

    - #### WRITE

          public static final Permissions WRITE

      Write Access

    - #### MANAGE

          public static final Permissions MANAGE

      Manage Access

    - #### DELETE

          public static final Permissions DELETE

      Delete Access

    - #### ASSOCIATE

          public static final Permissions ASSOCIATE

      Associate Access

    - #### CREATE

          public static final Permissions CREATE

      Create Access

  - ### Method Detail

    - #### values

          public static Permissions[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Permissions c : Permissions.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Permissions valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.